# ghc does not emit debug information
%global debug_package %{nil}

Name:           alex
Version:        2.3.1
Release:        3%{?dist}
Summary:        A lexer generator for Haskell

Group:          Development/Tools
License:        BSD
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/alex
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc
BuildRequires:  autoconf docbook-style-xsl libxslt

%description
Alex is a tool for generating lexical analysers in Haskell, given a
description of the tokens to be recognised in the form of regular
expressions.  It is similar to the tool lex or flex for C/C++.


%prep
%setup -q


%build
%cabal_configure
%cabal build

cd doc
autoreconf
./configure --prefix=%{_prefix} --libdir=%{_libdir}
make html
cd -


%install
rm -rf $RPM_BUILD_ROOT
%cabal_install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ANNOUNCE LICENSE README TODO doc/alex examples
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}


%changelog
* Tue Mar 10 2009 Jens Petersen <petersen@redhat.com> - 2.3.1-3
- update arch list and bring closer to cabal2spec-0.12

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Jens Petersen <petersen@redhat.com> - 2.3.1-1
- update to 2.3.1
- no longer need alex-2.3-base3.patch

* Tue Nov 25 2008 Jens Petersen <petersen@redhat.com> - 2.3-2
- build with new macros
- update urls to point to hackage
- add alex-2.3-base3.patch to build with base-3 for ghc-6.10.1

* Mon Oct 13 2008 Bryan O'Sullivan <bos@serpentine.com> - 2.3-1
- Update to 2.3

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2-3
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2-2
- Autorebuild for GCC 4.3

* Fri Jan  4 2008 Jens Petersen <petersen@redhat.com> - 2.2-1
- update to 2.2 release

* Fri Nov 23 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-6
- Exclude alpha

* Tue Sep 25 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-5
- don't try to build on ppc64

* Tue Sep 25 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-4
- build requires autoconf

* Sun Jul 22 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-3
- apply a few cleanups from Jens Petersen

* Tue Apr 26 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-2
- fix a few style issues

* Fri Jan 19 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-1
- update to 2.1.0
- fix rpmlint errors

* Fri May  6 2005 Jens Petersen <petersen@redhat.com> - 2.0.1-1
- initial packaging for Fedora Haskell based on upstream spec file
